Holger's Java API

## com.antelmann.sql
Interface SQLColumnInfo

All Superinterfaces:
  TransactionRequired

All Known Implementing Classes:
  SQLColumnInfoStore

    public interface SQLColumnInfo

extends TransactionRequired

provides some useful information about certain columns in a table. The sqlRestriction parameter in these methods may be null and otherwise represent a map as specified in `ConnectionHelper.addWhereClause(Appendable, java.util.List, Map, boolean)`

Since:
  15.04.2009, 18:41:01
Author:
  Holger Antelmann
See Also:
  `SQLColumnInfoStore`, `Database.queryStoreForInterface(Class, Class)`, `ConnectionHelper`

Nested Class Summary
`static class` `SQLColumnInfo.UpdateFilter`

Method Summary
`boolean` `containsColumnValue(String column, Object value)`
`int` `countDistinctValues(String column, Map<String,Object> sqlRestrictions)`
`Set<?>` `getDistinctValues(String column, Map<String,Object> sqlRestrictions)`
`Map<?,Integer>` `getDistinctValuesWithCount(Map<String,Object> sqlRestrictions, String... column)`
`Object` `getFunctionValueForColumn(String column, SQLFunction func, Map<String,Object> sqlRestrictions)`
`int` `getMaxLength(String textColumn, Map<String,Object> sqlRestrictions)`
`int` `replaceColumnValue(String column, Object oldValue, Object newValue, boolean useQueryIfApplicable)` fires a database update event

Method Detail

### containsColumnValue

    boolean containsColumnValue(String column,
                                Object value)
                                throws DatabaseException

  Throws:
    `DatabaseException`

### countDistinctValues

    int countDistinctValues(String column,
                            Map<String,Object> sqlRestrictions)
                            throws DatabaseException

  Throws:
    `DatabaseException`

### getDistinctValues

    Set<?> getDistinctValues(String column,
                             Map<String,Object> sqlRestrictions)
                             throws DatabaseException

  Throws:
    `DatabaseException`

### getDistinctValuesWithCount

    Map<?,Integer> getDistinctValuesWithCount(Map<String,Object> sqlRestrictions,
                                              String... column)
                                              throws DatabaseException

  Throws:
    `DatabaseException`

### getFunctionValueForColumn

    Object getFunctionValueForColumn(String column,
                                     SQLFunction func,
                                     Map<String,Object> sqlRestrictions)
                                     throws DatabaseException

  Throws:
    `DatabaseException`

### getMaxLength

    int getMaxLength(String textColumn,
                     Map<String,Object> sqlRestrictions)
                     throws DatabaseException

  Throws:
    `DatabaseException`

### replaceColumnValue

    int replaceColumnValue(String column,
                           Object oldValue,
                           Object newValue,
                           boolean useQueryIfApplicable)
                           throws DatabaseException

  fires a database update event

  Throws:
    `DatabaseException`
  See Also:
    `SQLColumnInfo.UpdateFilter`, `DBClassStore.DBMethod.DELETE_MULTIPLE`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads